Package com.gpudb.protocol
Class FilterBySeriesRequest.Options
java.lang.Object
com.gpudb.protocol.FilterBySeriesRequest.Options
Enclosing class:
A set of string constants for the
FilterBySeriesRequest parameter options.
Optional parameters.
Field Summary
FieldsModifier and TypeFieldDescriptionstatic final String[DEPRECATED—please specify the containing schema for the view as part ofviewNameand useGPUdb.createSchemato create the schema if non-existent] Name of a schema for the newly created view.static final Stringstatic final Stringstatic final Stringstatic final Stringstatic final StringA string representing the coordinate system to use for the spatial search criteria.static final StringA positive number passed as a string representing the radius of the search area centered around each track point’s geospatial coordinates.static final StringA positive number passed as a string representing the maximum allowable time difference between the timestamps of a filtered object and the given track’s points.static final String
Field Details
CREATE_TEMP_TABLE
IfTRUE, a unique temporary table name will be generated in the sys_temp schema and used in place ofviewName. This is always allowed even if the caller does not have permission to create tables. The generated name is returned inQUALIFIED_VIEW_NAME. Supported values:The default value isFALSE.See Also:COLLECTION_NAME
[DEPRECATED—please specify the containing schema for the view as part ofviewNameand useGPUdb.createSchemato create the schema if non-existent] Name of a schema for the newly created view. If the schema is non-existent, it will be automatically created.See Also:TIME_RADIUS
A positive number passed as a string representing the maximum allowable time difference between the timestamps of a filtered object and the given track’s points. The value is interpreted in seconds. Required parameter. The minimum allowed value is ‘0’.See Also:SPATIAL_DISTANCE_METRIC
A string representing the coordinate system to use for the spatial search criteria. Acceptable values are ‘euclidean’ and ‘great_circle’. Optional parameter; default is ‘euclidean’. Supported values:See Also: